commit:     a3b99a29c763bbef6a741b5a364dca74ac8ecd43
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 27 14:13:51 2022 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Dec 29 21:30:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3b99a29

dev-libs/libbsd: Force a libbsd.so symlink instead of unnecessary ld script

The path in the libbsd.so ld script would need the prefix stripped, but we don't
need it for applying --as-needed anyway, so force a symlink instead.

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 dev-libs/libbsd/libbsd-0.11.7-r1.ebuild | 44 +++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/dev-libs/libbsd/libbsd-0.11.7-r1.ebuild 
b/dev-libs/libbsd/libbsd-0.11.7-r1.ebuild
new file mode 100644
index 000000000000..d8b229e11d3e
--- /dev/null
+++ b/dev-libs/libbsd/libbsd-0.11.7-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/guillemjover.asc
+inherit multilib-minimal verify-sig
+
+DESCRIPTION="Library to provide useful functions commonly found on BSD systems"
+HOMEPAGE="https://libbsd.freedesktop.org/wiki/ 
https://gitlab.freedesktop.org/libbsd/libbsd";
+SRC_URI="https://${PN}.freedesktop.org/releases/${P}.tar.xz";
+SRC_URI+=" verify-sig? ( 
https://${PN}.freedesktop.org/releases/${P}.tar.xz.asc )"
+
+LICENSE="BSD BSD-2 BSD-4 ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND="app-crypt/libmd[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}
+       >=sys-kernel/linux-headers-3.17
+"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-guillemjover )"
+
+src_prepare() {
+       default
+
+       # The path in the libbsd.so ld script would need the prefix stripped, 
but we
+       # don't need it for applying --as-needed anyway, so force a symlink 
instead.
+       sed -ri "s:(need_transparent_libmd)=yes:\1=no:g" configure || die
+}
+
+multilib_src_configure() {
+       # The build system will install libbsd-ctor.a despite USE="-static-libs"
+       # which is correct, see:
+       # 
https://gitlab.freedesktop.org/libbsd/libbsd/commit/c5b959028734ca2281250c85773d9b5e1d259bc8
+       ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+
+       find "${ED}" -type f -name "*.la" -delete || die
+}

Reply via email to